
Base Distribution - Story # 40901

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-13 Assigned To:
Updated: 2012-10-04 Due date:
Subject: As a user, I do not want any JavaScript errors to appear because of Loading Order
Description

Subtasks:
Task # 41348: write loading-order analyzer Closed

Associated revisions
Revision be3881e1 - 2012-09-25 13:50 - Sebastian Kurfuerst

[BUGFIX] add missing requireJS dependencies

This change contains a tool which helps finding missing dependencies. Running this
tool and sorting out the false positives found two missing requireJS dependencies.

It can be seen that the added dependencies are really used inside the appropriate files.

Resolves: #41348
Resolves: #40901
Change-Id: Ie8871c671bf39af50d72cd98c6fbff664c86f498

History
#1 - 2012-09-14 12:17 - Robert Lemke
- Target version changed from Sprint February 2013 to Sprint 10 (1.0 TP1)

#2 - 2012-09-17 11:40 - Sebastian Kurfuerst
- Status changed from New to Postponed
- Position deleted (4)
- Position set to 3

#3 - 2012-09-17 11:40 - Sebastian Kurfuerst
- Target version changed from Sprint 10 (1.0 TP1) to Sprint February 2013
- Position deleted (3)
- Position set to 2

#4 - 2012-09-20 11:56 - Sebastian Kurfuerst
- Status changed from Postponed to New
- Position deleted (3)
- Position set to 3

#5 - 2012-09-25 13:49 - Sebastian Kurfuerst
- Target version changed from Sprint February 2013 to Sprint 10 (1.0 TP1)
- Position deleted (13)
- Position set to 22

#6 - 2012-09-25 13:51 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15033

#7 - 2012-09-25 13:53 - Sebastian Kurfuerst
- Status changed from New to Resolved
- Position deleted (22)
- Position set to 22

#8 - 2012-10-04 14:10 - Markus Goldbeck
- Status changed from Resolved to Closed
